Loading...
Searching...
No Matches
BALL::VIEW::CompositeMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::CompositeMessage:

## Public Types

enum | CompositeMessageType { UNDEFINED = -1 , NEW_COMPOSITE , REMOVED_COMPOSITE , CHANGED_COMPOSITE , CHANGED_COMPOSITE_HIERARCHY , SELECTED_COMPOSITE , DESELECTED_COMPOSITE , CENTER_CAMERA , NEW_MOLECULE }

## Public Member Functions

Constructors and Destructors
| CompositeMessage ()
| CompositeMessage (const Composite &composite, CompositeMessageType type, bool update_representations=true)
| CompositeMessage (const CompositeMessage &message)
| Copy constructor.
virtual | ~CompositeMessage ()
| Destructor.
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Accessors: inspectors and mutators

CompositeMessageType | type_
Composite * | composite_
String | composite_name_
bool | update_representations_
bool | show_selection_infos_
void | setComposite (const Composite &composite)
Composite * | getComposite () const
void | setCompositeName (const String &name)
const String & | getCompositeName () const
void | setType (CompositeMessageType type)
CompositeMessageType | getType () const
void | setUpdateRepresentations (bool state)
bool | updateRepresentations () const
void | setShowSelectionInfos (bool state)
bool | showSelectionInfos ()

## Detailed Description

CompositeMessage is the base class of all messages concerning the change of one Composite. With it ConnectionObject can notify and react to Composite changes.

Definition at line 200 of file message.h.

## Member Enumeration Documentation

## CompositeMessageType

enum BALL::VIEW::CompositeMessage::CompositeMessageType

Enumerator
UNDEFINED | Undefinded (default) type.
NEW_COMPOSITE | A new composite to be added MolecularStructure will add bonds, normalize names and send a msg with type NEW_MOLECULE afterwards.
REMOVED_COMPOSITE | A Composite to be removed.
CHANGED_COMPOSITE | Update all datas for a Composite (but not in the MolecularControl).
CHANGED_COMPOSITE_HIERARCHY | Update all datas for a composite (also in MolecularControl).
SELECTED_COMPOSITE | selected a composite (e.g. per checkboxes in MolecularControl)
DESELECTED_COMPOSITE | deselected a composite (e.g. per checkboxes in MolecularControl)
CENTER_CAMERA | center the camera on a composite
NEW_MOLECULE | MolecularControl will add the Composite. DisplayProperties will create a Representation

Definition at line 206 of file message.h.

## Constructor & Destructor Documentation

## CompositeMessage() [1/3]

BALL::VIEW::CompositeMessage::CompositeMessage | ( |  | ) |

Default Constructor. The state is set to:

- composite - set to 0
- composite name - set to ""

## CompositeMessage() [2/3]

BALL::VIEW::CompositeMessage::CompositeMessage | ( | const Composite & | composite,
|  | CompositeMessageType | type,
|  | bool | update_representations = true )

## CompositeMessage() [3/3]

BALL::VIEW::CompositeMessage::CompositeMessage | ( | const CompositeMessage & | message | ) |

Copy constructor.

## ~CompositeMessage()

virtual BALL::VIEW::CompositeMessage::~CompositeMessage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getComposite()

Composite * BALL::VIEW::CompositeMessage::getComposite | ( |  | ) | const

Inspection of the composite.

## getCompositeName()

const String & BALL::VIEW::CompositeMessage::getCompositeName | ( |  | ) | const

Inspection of the name of the composite.

## getType()

CompositeMessageType BALL::VIEW::CompositeMessage::getType | ( |  | ) | const

inline

Definition at line 287 of file message.h.

## setComposite()

void BALL::VIEW::CompositeMessage::setComposite | ( | const Composite & | composite | ) |

Change the composite.

## setCompositeName()

void BALL::VIEW::CompositeMessage::setCompositeName | ( | const String & | name | ) |

Change the name of the composite.

Parameters

  name | the new name of the composite of this compositeMessage

## setShowSelectionInfos()

void BALL::VIEW::CompositeMessage::setShowSelectionInfos | ( | bool | state | ) |

inline

Definition at line 299 of file message.h.

## setType()

void BALL::VIEW::CompositeMessage::setType | ( | CompositeMessageType | type | ) |

inline

Definition at line 283 of file message.h.

## setUpdateRepresentations()

void BALL::VIEW::CompositeMessage::setUpdateRepresentations | ( | bool | state | ) |

inline

Definition at line 291 of file message.h.

## showSelectionInfos()

bool BALL::VIEW::CompositeMessage::showSelectionInfos | ( |  | ) |

inline

Definition at line 303 of file message.h.

## updateRepresentations()

bool BALL::VIEW::CompositeMessage::updateRepresentations | ( |  | ) | const

inline

Definition at line 295 of file message.h.

## Member Data Documentation

## composite_

Composite* BALL::VIEW::CompositeMessage::composite_

protected

Definition at line 311 of file message.h.

## composite_name_

String BALL::VIEW::CompositeMessage::composite_name_

protected

Definition at line 312 of file message.h.

## show_selection_infos_

bool BALL::VIEW::CompositeMessage::show_selection_infos_

protected

Definition at line 314 of file message.h.

## type_

CompositeMessageType BALL::VIEW::CompositeMessage::type_

protected

Definition at line 310 of file message.h.

## update_representations_

bool BALL::VIEW::CompositeMessage::update_representations_

protected

Definition at line 313 of file message.h.